#!/usr/bin/env bash
#
# Launch sway
set -euo pipefail
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

if [[ ! -v XDG_RUNTIME_DIR ]]; then
    export XDG_RUNTIME_DIR=$(mktemp -d)
    chmod 0700 "$XDG_RUNTIME_DIR"

fi

exec sway -d &> $HOME/.config/swaylog
